Package org.apache.solr.client.solrj.io.stream

## Class TextLogitStream.LogitCall

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.TextLogitStream.LogitCall

All Implemented Interfaces:
  `Callable<Tuple>`

Enclosing class:
  TextLogitStream

    protected class TextLogitStream.LogitCall
    extends Object
    implements Callable<Tuple>

### Constructor Summary

Constructors
`LogitCall​(String baseUrl, Map<String,​String> paramsMap, String feature, List<String> terms, List<Double> weights, String outcome, int positiveLabel, double learningRate, int iteration)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Tuple` `call()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogitCall

    public LogitCall​(String baseUrl,
                     Map<String,​String> paramsMap,
                     String feature,
                     List<String> terms,
                     List<Double> weights,
                     String outcome,
                     int positiveLabel,
                     double learningRate,
                     int iteration)

### Method Detail

#### call

    public Tuple call()
               throws Exception

Specified by:
  `call` in interface `Callable<Tuple>`
Throws:
  `Exception`